Subject: Re: FSM issues - first of many discussions

From: "Tom Petch" <[email-masked]>
Date: Thu, 24 Oct 2002 21:53:39 +0100

Sue

Two thoughts.

First, not all FSM issues made it to the issues list - some did not
make it to the IDR list in the first place eg a suggestion of mine to
simplify the Connect and Active states by removing the Open Delay
timer expired substate into a separate OpenDelay state which then
removes much duplication and also simplifies other issues including
some which do appear on the list eg issue 47.

Second, I continue to see draft-hares-bgp-statemt-01.txt in the IETF
repository; not ietf-draft-hares-statmt-02.txt, and I do think that so
much has been raised over the FSM, we are in need of a new text (and I
don't know if that is -02 or -03) incorporating some of the changes -
eg the wording consistency comments of Xia W Zhao and Jeff Haas - to
provide a fresh base to work from.

I think the fastest way forward is in a number of steps, via a number
of versions of the FSM, and that trying to make a giant step, in
changes or in elapsed time or whatever, ends up slower.

Tom Petch
-----Original Message-----
From: Susan Hares <[email-masked]>
To: [email-masked] <[email-masked]>
Date: 24 October 2002 16:47
Subject: FSM issues - first of many discussions

>My understanding from Andrews 10-01-2002 version of the
>IDR issues, is that the following issues did not reach consensus:
>
> 4,8,10,11,18,19,24,32,32.1, 34, 39, 41, 45, 46, 47, 48, 49, 53
>
>Of these issues, I believe the following are associated with the
>FSM portion of the specification:
>
> 41 - Mention the FSM Internal Timers
> 46 - FSM Connection Collision Detections
>  47 - FSM - Add Explicit State Changing wording
> 48 - Explicitly Defined Processing of Incomming Connections
> 49 - Explicitly Define Event Generation
>
>Please let know if any other "non-consensus" issues are related
>to the state machine.
>
>I would like to examine these issue to reach the consensus needed
>for me to re-edit the base draft wording.
>
>If you have comments associated with these issues
>on the BGP FSM draft (ietf-draft-hares-statmt-02.txt) or the
>BGP Peer Persistent Oscillation (ietf-draft-hares-backoff-01.txt).
>associated with these issues, please clearly state which draft you
>are commenting on.
>
>Sue Hares
>[email-masked]
>